[Touch-packages] [Bug 1943312] Re: dependency problems of version 3.4.2-1ubuntu3

2021-09-12 Thread Nyarko Daniel
Hello Steve,
I am also encountering the same probelem. Seems like your 
I have tried reinstalling libffi8 but the latest update (ver 
=3.4.2-1ubuntu4)but that version is still not available for download newest 
version is still 3.4.2-1ubuntu3.

Kindly assist.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libffi in Ubuntu.
https://bugs.launchpad.net/bugs/1943312

Title:
  dependency problems of version 3.4.2-1ubuntu3

Status in libffi package in Ubuntu:
  Fix Released

Bug description:
  Have both libffi8ubuntu1:amd64 and libffi8ubuntu1:i386 installed
  previously. Got these after upgrading to 3.4.2-1ubuntu3

  dpkg: dependency problems prevent configuration of libffi8:amd64:
   libffi8:i386 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:amd64 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:amd64 (--configure):
   dependency problems - leaving unconfigured
  dpkg: dependency problems prevent configuration of libffi8:i386:
   libffi8:amd64 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:i386 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:i386 (--configure):
   dependency problems - leaving unconfigured

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libffi/+bug/1943312/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1930188] Re: Acer Aspire 5 sound driver issues

2021-09-12 Thread Hui Wang
** Description changed:

+ SRU Justification for pulseaudio:
+ 
+ [Impact]
+ On the machines with the sof audio driver, after booting up, the
+ active output device is speaker by default, we adjust the output
+ volume to 100%, then we plug a headphone, and adjust the output
+ volume from 100% to 20%, now in theory, the speaker's volume is
+ 100%, the headphone's volume is 20%. We plugout the headphone,
+ the active output device becomes speaker and we expect the volume
+ changes to 100%, but the output volume for speaker is 20%.
+ 
+ [Fix]
+ Backport a upstream patch, this patch is already in the pulseaudio-15.0,
+ so impish already has this fix. Only hirsute and focal need to backport
+ this patch.
+ 
+ [Test]
+ adjust speaker's volume to 80%, then plug headphone and adjust headphone's
+ volume to 20%, unplug the headphone, the speaker's volume becomes to 80%,
+ plug the headphone, the headphone's volume becomes to 20%.
+ 
+ [Where problems could occur]
+ The patch writes the output volume to hardware immediately when switching
+ output device on the machines with sof audio driver, this could introduce
+ pop noise when changing the output device, but this possibility is very
+ low, I tested the patch on many lenovo and dell machines with sof audio 
driver,
+ all worked as expected and have no pop noise when switching output device.
+ 
+ 
+ 
+ 
  The patch was merged to ubuntu 5.13.0 and 5.11.0 generic kernels
  with stable update already, but it is not merged to ubuntu 5.4.0
  kernel yet, so I sent this SRU for the focal kernel.
  
  [Impact]
  Users plug headphone and Mic to the audio jacks, but the system
  can't detect them, and couldn't output sound through headphone and
  record sound through Mic.
  
  [Fix]
  Backport a upstream patch, this will set the Mic to auto-detection
  mode and set the headphone to left location.
  
- 
  [Test]
  Plug a headset to the headset audio jack, both headphone and mic
  could be detected. And output the sound to headphone, could hear
  the sound, record the sound through Mic, the sound could be recorded.
  
- 
  [Where problems could occur]
  The patch is specific to Acer Aspire 5 machine, if it could introduce
  regression, it will make the audio like internal mic and internal spk
  stop working. But this possibility is very low.
- 
  
  Hello,
  
  There seems to be lots of issues in sound driver for Acer Aspire
  A515-56-57XR with ALC255. I will list all of them below and what I have
  tried so far.
  
  1. Headphones appears always plugged in even if they are physically not
  2. When actually plugging in headset/earphones it does not auto switch from 
speakers/internal mic to headphones/headset microphone automatically and vice 
versa, have to manually switch everytime.
  3. External headset/earphones microphone won't work at all
  
  After, logs of trial and error I have found a temporary fix. This seems
  to use legacy intel drivers which solves all 3 issues mentioned above
  but the internal/dmic mic is completely gone (which seems intentional
  when using this). Both depreciated dmic_detect and dsp_driver works, I
  have been using dsp_driver for now as I need external microphone at any
  cost.
  
  End of /etc/modprobe.d/alsa-base.conf
  # Headset mic fix
  options snd-hda-intel dmic_detect=0 / options snd-intel-dspcfg dsp_driver=1
  options snd-hda-intel model=alc255-acer
  
  In another thread similar to this I got some support and at least fixed
  the external microphone without using the alsa-base.conf change in
  custom modified kernel. I will attach it here. Now, hoping to fix other
  issues as well slowly like making headphones unplugged when physically
  removing as well as auto switching like the legacy driver one.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1930188

Title:
  Acer Aspire 5 sound driver issues

Status in linux package in Ubuntu:
  Fix Released
Status in pulseaudio package in Ubuntu:
  New
Status in linux source package in Focal:
  Fix Released
Status in pulseaudio source package in Focal:
  In Progress
Status in linux source package in Hirsute:
  Fix Released
Status in pulseaudio source package in Hirsute:
  In Progress
Status in linux source package in Impish:
  Fix Released

Bug description:
  SRU Justification for pulseaudio:

  [Impact]
  On the machines with the sof audio driver, after booting up, the
  active output device is speaker by default, we adjust the output
  volume to 100%, then we plug a headphone, and adjust the output
  volume from 100% to 20%, now in theory, the speaker's volume is
  100%, the headphone's volume is 20%. We plugout the headphone,
  the active output device becomes speaker and we expect the volume
  changes to 100%, but the output volume for speaker is 20%.

  [Fix]
  Backport a upstream patch, this 

[Touch-packages] [Bug 1930188] Re: Acer Aspire 5 sound driver issues

2021-09-12 Thread Hui Wang
Hi sponsor-team,

This is the debdiff for pulseaudio of hirsute.

thx.


** Patch added: "pulseaudio_14.2-1ubuntu1.2.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1930188/+attachment/5524854/+files/pulseaudio_14.2-1ubuntu1.2.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1930188

Title:
  Acer Aspire 5 sound driver issues

Status in linux package in Ubuntu:
  Fix Released
Status in pulseaudio package in Ubuntu:
  New
Status in linux source package in Focal:
  Fix Released
Status in pulseaudio source package in Focal:
  In Progress
Status in linux source package in Hirsute:
  Fix Released
Status in pulseaudio source package in Hirsute:
  In Progress
Status in linux source package in Impish:
  Fix Released

Bug description:
  The patch was merged to ubuntu 5.13.0 and 5.11.0 generic kernels
  with stable update already, but it is not merged to ubuntu 5.4.0
  kernel yet, so I sent this SRU for the focal kernel.

  [Impact]
  Users plug headphone and Mic to the audio jacks, but the system
  can't detect them, and couldn't output sound through headphone and
  record sound through Mic.

  [Fix]
  Backport a upstream patch, this will set the Mic to auto-detection
  mode and set the headphone to left location.

  
  [Test]
  Plug a headset to the headset audio jack, both headphone and mic
  could be detected. And output the sound to headphone, could hear
  the sound, record the sound through Mic, the sound could be recorded.

  
  [Where problems could occur]
  The patch is specific to Acer Aspire 5 machine, if it could introduce
  regression, it will make the audio like internal mic and internal spk
  stop working. But this possibility is very low.


  Hello,

  There seems to be lots of issues in sound driver for Acer Aspire
  A515-56-57XR with ALC255. I will list all of them below and what I
  have tried so far.

  1. Headphones appears always plugged in even if they are physically not
  2. When actually plugging in headset/earphones it does not auto switch from 
speakers/internal mic to headphones/headset microphone automatically and vice 
versa, have to manually switch everytime.
  3. External headset/earphones microphone won't work at all

  After, logs of trial and error I have found a temporary fix. This
  seems to use legacy intel drivers which solves all 3 issues mentioned
  above but the internal/dmic mic is completely gone (which seems
  intentional when using this). Both depreciated dmic_detect and
  dsp_driver works, I have been using dsp_driver for now as I need
  external microphone at any cost.

  End of /etc/modprobe.d/alsa-base.conf
  # Headset mic fix
  options snd-hda-intel dmic_detect=0 / options snd-intel-dspcfg dsp_driver=1
  options snd-hda-intel model=alc255-acer

  In another thread similar to this I got some support and at least
  fixed the external microphone without using the alsa-base.conf change
  in custom modified kernel. I will attach it here. Now, hoping to fix
  other issues as well slowly like making headphones unplugged when
  physically removing as well as auto switching like the legacy driver
  one.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1930188/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1930188] Re: Acer Aspire 5 sound driver issues

2021-09-12 Thread Hui Wang
Hi sponsor-team,

This is the debdiff for pulseaudio of focal.

thx.


** Patch added: "pulseaudio_13.99.1-1ubuntu3.12.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1930188/+attachment/5524855/+files/pulseaudio_13.99.1-1ubuntu3.12.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1930188

Title:
  Acer Aspire 5 sound driver issues

Status in linux package in Ubuntu:
  Fix Released
Status in pulseaudio package in Ubuntu:
  New
Status in linux source package in Focal:
  Fix Released
Status in pulseaudio source package in Focal:
  In Progress
Status in linux source package in Hirsute:
  Fix Released
Status in pulseaudio source package in Hirsute:
  In Progress
Status in linux source package in Impish:
  Fix Released

Bug description:
  The patch was merged to ubuntu 5.13.0 and 5.11.0 generic kernels
  with stable update already, but it is not merged to ubuntu 5.4.0
  kernel yet, so I sent this SRU for the focal kernel.

  [Impact]
  Users plug headphone and Mic to the audio jacks, but the system
  can't detect them, and couldn't output sound through headphone and
  record sound through Mic.

  [Fix]
  Backport a upstream patch, this will set the Mic to auto-detection
  mode and set the headphone to left location.

  
  [Test]
  Plug a headset to the headset audio jack, both headphone and mic
  could be detected. And output the sound to headphone, could hear
  the sound, record the sound through Mic, the sound could be recorded.

  
  [Where problems could occur]
  The patch is specific to Acer Aspire 5 machine, if it could introduce
  regression, it will make the audio like internal mic and internal spk
  stop working. But this possibility is very low.


  Hello,

  There seems to be lots of issues in sound driver for Acer Aspire
  A515-56-57XR with ALC255. I will list all of them below and what I
  have tried so far.

  1. Headphones appears always plugged in even if they are physically not
  2. When actually plugging in headset/earphones it does not auto switch from 
speakers/internal mic to headphones/headset microphone automatically and vice 
versa, have to manually switch everytime.
  3. External headset/earphones microphone won't work at all

  After, logs of trial and error I have found a temporary fix. This
  seems to use legacy intel drivers which solves all 3 issues mentioned
  above but the internal/dmic mic is completely gone (which seems
  intentional when using this). Both depreciated dmic_detect and
  dsp_driver works, I have been using dsp_driver for now as I need
  external microphone at any cost.

  End of /etc/modprobe.d/alsa-base.conf
  # Headset mic fix
  options snd-hda-intel dmic_detect=0 / options snd-intel-dspcfg dsp_driver=1
  options snd-hda-intel model=alc255-acer

  In another thread similar to this I got some support and at least
  fixed the external microphone without using the alsa-base.conf change
  in custom modified kernel. I will attach it here. Now, hoping to fix
  other issues as well slowly like making headphones unplugged when
  physically removing as well as auto switching like the legacy driver
  one.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1930188/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1930188] Re: Acer Aspire 5 sound driver issues

2021-09-12 Thread Hui Wang
Registered ubuntu sponsor team.

Hi sponsor-team,

This is the pulseaudio debdiff for hirsute.

thx.

?field.comment=Registered ubuntu sponsor team.

Hi sponsor-team,

This is the pulseaudio debdiff for hirsute.

thx.

?field.comment=Registered ubuntu sponsor team.

Hi sponsor-team,

This is the pulseaudio debdiff for hirsute.

thx.


** Also affects: pulseaudio (Ubuntu)
   Importance: Undecided
   Status: New

** No longer affects: pulseaudio (Ubuntu Impish)

** Changed in: pulseaudio (Ubuntu Focal)
   Status: New => In Progress

** Changed in: pulseaudio (Ubuntu Hirsute)
   Status: New => In Progress

** Changed in: pulseaudio (Ubuntu Focal)
   Importance: Undecided => Medium

** Changed in: pulseaudio (Ubuntu Hirsute)
   Importance: Undecided => Medium

** Patch added: "pulseaudio_14.2-1ubuntu1.2.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1930188/+attachment/5524853/+files/pulseaudio_14.2-1ubuntu1.2.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1930188

Title:
  Acer Aspire 5 sound driver issues

Status in linux package in Ubuntu:
  Fix Released
Status in pulseaudio package in Ubuntu:
  New
Status in linux source package in Focal:
  Fix Released
Status in pulseaudio source package in Focal:
  In Progress
Status in linux source package in Hirsute:
  Fix Released
Status in pulseaudio source package in Hirsute:
  In Progress
Status in linux source package in Impish:
  Fix Released

Bug description:
  The patch was merged to ubuntu 5.13.0 and 5.11.0 generic kernels
  with stable update already, but it is not merged to ubuntu 5.4.0
  kernel yet, so I sent this SRU for the focal kernel.

  [Impact]
  Users plug headphone and Mic to the audio jacks, but the system
  can't detect them, and couldn't output sound through headphone and
  record sound through Mic.

  [Fix]
  Backport a upstream patch, this will set the Mic to auto-detection
  mode and set the headphone to left location.

  
  [Test]
  Plug a headset to the headset audio jack, both headphone and mic
  could be detected. And output the sound to headphone, could hear
  the sound, record the sound through Mic, the sound could be recorded.

  
  [Where problems could occur]
  The patch is specific to Acer Aspire 5 machine, if it could introduce
  regression, it will make the audio like internal mic and internal spk
  stop working. But this possibility is very low.


  Hello,

  There seems to be lots of issues in sound driver for Acer Aspire
  A515-56-57XR with ALC255. I will list all of them below and what I
  have tried so far.

  1. Headphones appears always plugged in even if they are physically not
  2. When actually plugging in headset/earphones it does not auto switch from 
speakers/internal mic to headphones/headset microphone automatically and vice 
versa, have to manually switch everytime.
  3. External headset/earphones microphone won't work at all

  After, logs of trial and error I have found a temporary fix. This
  seems to use legacy intel drivers which solves all 3 issues mentioned
  above but the internal/dmic mic is completely gone (which seems
  intentional when using this). Both depreciated dmic_detect and
  dsp_driver works, I have been using dsp_driver for now as I need
  external microphone at any cost.

  End of /etc/modprobe.d/alsa-base.conf
  # Headset mic fix
  options snd-hda-intel dmic_detect=0 / options snd-intel-dspcfg dsp_driver=1
  options snd-hda-intel model=alc255-acer

  In another thread similar to this I got some support and at least
  fixed the external microphone without using the alsa-base.conf change
  in custom modified kernel. I will attach it here. Now, hoping to fix
  other issues as well slowly like making headphones unplugged when
  physically removing as well as auto switching like the legacy driver
  one.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1930188/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943340] Re: mouse detection

2021-09-12 Thread Daniel van Vugt
Also next time the problem happens, please immediately then run:

  journalctl -b0 > journal.txt

and attach the resulting text file here.


** Package changed: xorg (Ubuntu) => ubuntu

** Changed in: ubuntu
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1943340

Title:
  mouse detection

Status in Ubuntu:
  Incomplete

Bug description:
  My mouse suddenly stop working like it is freezing , it happens
  sometimes but when  i unplug it i plug it again it works but this is
  times it does not work at all

  information about mouse : wired through a USB , optical

  i recently deleted some packages through sudo apt autoremove command
  and here is the list : gir1.2-xkl-1.0:amd64 (5.4-4), python3-icu:amd64
  (2.4.2-0ubuntu3), libllvm9:amd64 (1:9.0.1-12), kpartx:amd64
  (0.8.3-1ubuntu2), libtimezonemap1:amd64 (0.4.6-2), python3-pam:amd64
  (0.4.2-13.2ubuntu8), kpartx-boot:amd64 (0.8.3-1ubuntu2),
  libdmraid1.0.0.rc16:amd64 (1.0.0.rc16-8ubuntu3),
  libfprint-2-tod1:amd64 (1:1.90.2+tod1-0ubuntu1~20.04.4), apt-
  clone:amd64 (0.4.1ubuntu3), libllvm11:amd64
  (1:11.0.0-2~ubuntu20.04.1), gir1.2-timezonemap-1.0:amd64 (0.4.6-2),
  rdate:amd64 (1:1.10-2), libdebian-installer4:amd64 (0.110ubuntu3),
  libtimezonemap-data:amd64 (0.4.6-2), dmraid:amd64
  (1.0.0.rc16-8ubuntu3), dctrl-tools:amd64 (2.24-3), archdetect-
  deb:amd64 (1.117ubuntu7), shim:amd64 (15.4-0ubuntu9)

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.10.0-1045.47-oem 5.10.46
  Uname: Linux 5.10.0-1045-oem x86_64
  ApportVersion: 2.20.11-0ubuntu27.18
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Sep 11 18:17:47 2021
  DistUpgraded: Fresh install
  DistributionChannelDescriptor:
   # This is the distribution channel descriptor for the OEM CDs
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-focal-amd64-20200502-85
  DistroCodename: focal
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation Device [8086:8a56] (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Dell Device [1028:0a2b]
  InstallationDate: Installed on 2021-07-03 (70 days ago)
  InstallationMedia: Ubuntu 20.04 "Focal" - Build amd64 LIVE Binary 
20200502-05:58
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 002: ID 0c45:671e Microdia Integrated_Webcam_HD
   Bus 001 Device 003: ID 0cf3:e009 Qualcomm Atheros Communications 
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Inspiron 3501
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.10.0-1045-oem 
root=UUID=6bfa75e6-bfcd-4c46-9077-0c8135cf3912 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/13/2020
  dmi.bios.release: 1.1
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.1.0
  dmi.board.name: 0TW31C
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.1.0:bd10/13/2020:br1.1:svnDellInc.:pnInspiron3501:pvr:sku0A2B:rvnDellInc.:rn0TW31C:rvrA00:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3501
  dmi.product.sku: 0A2B
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.105-3~20.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 21.0.3-0ubuntu0.3~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.11-1ubuntu1~20.04.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+bug/1943340/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943340] Re: mouse detection

2021-09-12 Thread Daniel van Vugt
Thanks for the bug report.

When the mouse freezes, does the touchpad still work?

Also, please test a different USB port and a different mouse. We find in
almost every case with bug reports like this it is the peripheral that's
faulty rather than the software.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1943340

Title:
  mouse detection

Status in Ubuntu:
  Incomplete

Bug description:
  My mouse suddenly stop working like it is freezing , it happens
  sometimes but when  i unplug it i plug it again it works but this is
  times it does not work at all

  information about mouse : wired through a USB , optical

  i recently deleted some packages through sudo apt autoremove command
  and here is the list : gir1.2-xkl-1.0:amd64 (5.4-4), python3-icu:amd64
  (2.4.2-0ubuntu3), libllvm9:amd64 (1:9.0.1-12), kpartx:amd64
  (0.8.3-1ubuntu2), libtimezonemap1:amd64 (0.4.6-2), python3-pam:amd64
  (0.4.2-13.2ubuntu8), kpartx-boot:amd64 (0.8.3-1ubuntu2),
  libdmraid1.0.0.rc16:amd64 (1.0.0.rc16-8ubuntu3),
  libfprint-2-tod1:amd64 (1:1.90.2+tod1-0ubuntu1~20.04.4), apt-
  clone:amd64 (0.4.1ubuntu3), libllvm11:amd64
  (1:11.0.0-2~ubuntu20.04.1), gir1.2-timezonemap-1.0:amd64 (0.4.6-2),
  rdate:amd64 (1:1.10-2), libdebian-installer4:amd64 (0.110ubuntu3),
  libtimezonemap-data:amd64 (0.4.6-2), dmraid:amd64
  (1.0.0.rc16-8ubuntu3), dctrl-tools:amd64 (2.24-3), archdetect-
  deb:amd64 (1.117ubuntu7), shim:amd64 (15.4-0ubuntu9)

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.10.0-1045.47-oem 5.10.46
  Uname: Linux 5.10.0-1045-oem x86_64
  ApportVersion: 2.20.11-0ubuntu27.18
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Sep 11 18:17:47 2021
  DistUpgraded: Fresh install
  DistributionChannelDescriptor:
   # This is the distribution channel descriptor for the OEM CDs
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-focal-amd64-20200502-85
  DistroCodename: focal
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation Device [8086:8a56] (rev 07) (prog-if 00 [VGA controller])
 Subsystem: Dell Device [1028:0a2b]
  InstallationDate: Installed on 2021-07-03 (70 days ago)
  InstallationMedia: Ubuntu 20.04 "Focal" - Build amd64 LIVE Binary 
20200502-05:58
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 002: ID 0c45:671e Microdia Integrated_Webcam_HD
   Bus 001 Device 003: ID 0cf3:e009 Qualcomm Atheros Communications 
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Inspiron 3501
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.10.0-1045-oem 
root=UUID=6bfa75e6-bfcd-4c46-9077-0c8135cf3912 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/13/2020
  dmi.bios.release: 1.1
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.1.0
  dmi.board.name: 0TW31C
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 10
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr1.1.0:bd10/13/2020:br1.1:svnDellInc.:pnInspiron3501:pvr:sku0A2B:rvnDellInc.:rn0TW31C:rvrA00:cvnDellInc.:ct10:cvr:
  dmi.product.family: Inspiron
  dmi.product.name: Inspiron 3501
  dmi.product.sku: 0A2B
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.105-3~20.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 21.0.3-0ubuntu0.3~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.11-1ubuntu1~20.04.2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+bug/1943340/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943316] Re: No sound - Checking pulseaudio indicates system switches audio card to HDMI (Ubuntu 20.04)

2021-09-12 Thread Daniel van Vugt
** Changed in: pulseaudio (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1943316

Title:
  No sound - Checking pulseaudio indicates system switches audio card to
  HDMI (Ubuntu 20.04)

Status in pulseaudio package in Ubuntu:
  Incomplete

Bug description:
  Sound settings indicates sound is being recognised in the Output
  Device bar under Analogue Output - Built-in Audio but no sound is
  projected externally through speakers or headphones. Speakers and
  headphones work.

  Switched to HDA Intel PCH from HDA Intel HDMI on Alsamixer and unmuted
  everything. When exiting alsamixer and reopening alsamixer, it reverts
  back to HDA Intel HDMI.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu3.11
  ProcVersionSignature: Ubuntu 5.4.0-84.94-generic 5.4.133
  Uname: Linux 5.4.0-84-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.11-0ubuntu27.18
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  meizing1482 F pulseaudio
   /dev/snd/pcmC0D3p:   meizing1482 F...m pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Sep 11 20:21:28 2021
  InstallationDate: Installed on 2019-05-27 (837 days ago)
  InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 
(20190210)
  SourcePackage: pulseaudio
  UpgradeStatus: Upgraded to focal on 2021-09-11 (0 days ago)
  dmi.bios.date: 12/24/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A19
  dmi.board.name: 0TM99H
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA19:bd12/24/2018:svnDellInc.:pnXPS139343:pvr:rvnDellInc.:rn0TM99H:rvrA00:cvnDellInc.:ct9:cvr:
  dmi.product.name: XPS 13 9343
  dmi.product.sku: 0665
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1943316/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943316] Re: No sound - Checking pulseaudio indicates system switches audio card to HDMI (Ubuntu 20.04)

2021-09-12 Thread Hui Wang
please run $lsmod | grep hdmi

and upload the output of that command.

The "snd_hda_codec_hdmi" should drive the hdmi audio instead of
"snd_hda_codec_generic".

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1943316

Title:
  No sound - Checking pulseaudio indicates system switches audio card to
  HDMI (Ubuntu 20.04)

Status in pulseaudio package in Ubuntu:
  New

Bug description:
  Sound settings indicates sound is being recognised in the Output
  Device bar under Analogue Output - Built-in Audio but no sound is
  projected externally through speakers or headphones. Speakers and
  headphones work.

  Switched to HDA Intel PCH from HDA Intel HDMI on Alsamixer and unmuted
  everything. When exiting alsamixer and reopening alsamixer, it reverts
  back to HDA Intel HDMI.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: pulseaudio 1:13.99.1-1ubuntu3.11
  ProcVersionSignature: Ubuntu 5.4.0-84.94-generic 5.4.133
  Uname: Linux 5.4.0-84-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.11-0ubuntu27.18
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  meizing1482 F pulseaudio
   /dev/snd/pcmC0D3p:   meizing1482 F...m pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Sep 11 20:21:28 2021
  InstallationDate: Installed on 2019-05-27 (837 days ago)
  InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 
(20190210)
  SourcePackage: pulseaudio
  UpgradeStatus: Upgraded to focal on 2021-09-11 (0 days ago)
  dmi.bios.date: 12/24/2018
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A19
  dmi.board.name: 0TM99H
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA19:bd12/24/2018:svnDellInc.:pnXPS139343:pvr:rvnDellInc.:rn0TM99H:rvrA00:cvnDellInc.:ct9:cvr:
  dmi.product.name: XPS 13 9343
  dmi.product.sku: 0665
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1943316/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1940141] Re: OpenSSL servers can send a non-empty status_request in a CertificateRequest

2021-09-12 Thread Nicolas Bock
** Description changed:

  [Impact]
  
  openssl does not conform to RFC8446, Sec. 4.4.2.1., by sending a
  CertificateRequest message to the client with a non-empty
  status_request extension.
  
  This issue was fixed in openssl-1.1.1d and is included in Focal
  onward.
  
  Upstream issue is tracked at https://github.com/openssl/openssl/issues/9767
  Upstream patch review at https://github.com/openssl/openssl/pull/9780
+ 
+ The issue leads to various client failures with TLS 1.3 as described in,
+ e.g.
+ 
+ https://github.com/golang/go/issues/35722
+ https://github.com/golang/go/issues/34040
  
  [Test Plan]
  
  The issue can be reproduced by building with `enable-ssl-trace`
  and then running `s_server` like this:
  
  ```
  openssl s_server -key key.pem -cert cert.pem -status_file 
test/recipes/ocsp-response.der -Verify 5
  ```
  
  And running `s_client` like this:
  
  ```
  openssl s_client -status -trace -cert cert.pem -key key.pem
  ```
  
  The output shows a `status_request` extension in the
  `CertificateRequest` as follows:
  
  Received Record
  Header:
    Version = TLS 1.2 (0x303)
    Content Type = ApplicationData (23)
    Length = 1591
    Inner Content Type = Handshake (22)
  CertificateRequest, Length=1570
    request_context (len=0):
    extensions, length = 1567
  extension_type=status_request(5), length=1521
     - 01 00 05 ed 30 82 05 e9-0a 01 00 a0 82 05 e2   
0..
    000f - 30 82 05 de 06 09 2b 06-01 05 05 07 30 01 01   
0.+.0..
    001e - 04 82 05 cf 30 82 05 cb-30 82 01 1a a1 81 86   
0...0..
    002d - 30 81 83 31 0b 30 09 06-03 55 04 06 13 02 47   
0..1.0...UG
  ...more lines omitted...
  
  If the `status_request` extension is present in a
  `CertificateRequest` then it must be empty according to RFC8446,
  Sec. 4.4.2.1.
  
  [Where problems could occur]
  
  The patch disables the `status_request` extension inside a
  `CertificateRequest`. Applications expecting the incorrect,
  non-empty reply for the `status_request` extension will break
  with this patch.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1940141

Title:
  OpenSSL servers can send a non-empty status_request in a
  CertificateRequest

Status in openssl package in Ubuntu:
  Fix Released
Status in openssl source package in Bionic:
  New

Bug description:
  [Impact]

  openssl does not conform to RFC8446, Sec. 4.4.2.1., by sending a
  CertificateRequest message to the client with a non-empty
  status_request extension.

  This issue was fixed in openssl-1.1.1d and is included in Focal
  onward.

  Upstream issue is tracked at https://github.com/openssl/openssl/issues/9767
  Upstream patch review at https://github.com/openssl/openssl/pull/9780

  The issue leads to various client failures with TLS 1.3 as described
  in, e.g.

  https://github.com/golang/go/issues/35722
  https://github.com/golang/go/issues/34040

  [Test Plan]

  The issue can be reproduced by building with `enable-ssl-trace`
  and then running `s_server` like this:

  ```
  openssl s_server -key key.pem -cert cert.pem -status_file 
test/recipes/ocsp-response.der -Verify 5
  ```

  And running `s_client` like this:

  ```
  openssl s_client -status -trace -cert cert.pem -key key.pem
  ```

  The output shows a `status_request` extension in the
  `CertificateRequest` as follows:

  Received Record
  Header:
    Version = TLS 1.2 (0x303)
    Content Type = ApplicationData (23)
    Length = 1591
    Inner Content Type = Handshake (22)
  CertificateRequest, Length=1570
    request_context (len=0):
    extensions, length = 1567
  extension_type=status_request(5), length=1521
     - 01 00 05 ed 30 82 05 e9-0a 01 00 a0 82 05 e2   
0..
    000f - 30 82 05 de 06 09 2b 06-01 05 05 07 30 01 01   
0.+.0..
    001e - 04 82 05 cf 30 82 05 cb-30 82 01 1a a1 81 86   
0...0..
    002d - 30 81 83 31 0b 30 09 06-03 55 04 06 13 02 47   
0..1.0...UG
  ...more lines omitted...

  If the `status_request` extension is present in a
  `CertificateRequest` then it must be empty according to RFC8446,
  Sec. 4.4.2.1.

  [Where problems could occur]

  The patch disables the `status_request` extension inside a
  `CertificateRequest`. Applications expecting the incorrect,
  non-empty reply for the `status_request` extension will break
  with this patch.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1940141/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943312] Re: dependency problems of version 3.4.2-1ubuntu3

2021-09-12 Thread Steve Langasek
libffi 3.4.2-1ubuntu4 has been uploaded to impish-proposed and has built
on all architectures.  Since this bug was only ever present in
-proposed, I'm closing this bug report.

** Changed in: libffi (Ubuntu)
   Status: In Progress => Fix Released

** Changed in: libffi (Ubuntu)
 Assignee: Steve Langasek (vorlon) => (unassigned)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libffi in Ubuntu.
https://bugs.launchpad.net/bugs/1943312

Title:
  dependency problems of version 3.4.2-1ubuntu3

Status in libffi package in Ubuntu:
  Fix Released

Bug description:
  Have both libffi8ubuntu1:amd64 and libffi8ubuntu1:i386 installed
  previously. Got these after upgrading to 3.4.2-1ubuntu3

  dpkg: dependency problems prevent configuration of libffi8:amd64:
   libffi8:i386 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:amd64 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:amd64 (--configure):
   dependency problems - leaving unconfigured
  dpkg: dependency problems prevent configuration of libffi8:i386:
   libffi8:amd64 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:i386 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:i386 (--configure):
   dependency problems - leaving unconfigured

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libffi/+bug/1943312/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943285] Re: login screen lagging.

2021-09-12 Thread Marco
I have a similar issue on Ubuntu 20.04 with 1.30.0-0ubuntu4~20.04.1.
Sometimes I enter my password, the screen goes black and I have to log
in another time. Once lightdm didn't start at all.

If such issues occur I have these entries in the journal:
Sep 12 20:03:10 marco-MS-5455 lightdm[1123]: pam_unix(lightdm:auth): Couldn't 
open /etc/securetty: No such file or directory
Sep 12 20:03:12 marco-MS-5455 lightdm[1055]: pam_unix(lightdm-greeter:session): 
session closed for user lightdm
Sep 12 20:03:12 marco-MS-5455 systemd[1]: lightdm.service: Main process exited, 
code=exited, status=1/FAILURE
Sep 12 20:03:12 marco-MS-5455 systemd[1]: lightdm.service: Failed with result 
'exit-code'.
Sep 12 20:03:13 marco-MS-5455 systemd[1]: lightdm.service: Scheduled restart 
job, restart counter is at 1.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1943285

Title:
  login screen lagging.

Status in lightdm package in Ubuntu:
  New

Bug description:
  After boot or logout, login screen slow to appear, and I cannot type
  in my password for 4 to 5 seconds after login screen has appeared.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: lightdm 1.30.0-0ubuntu4~20.04.1
  ProcVersionSignature: Ubuntu 5.4.0-84.94-generic 5.4.133
  Uname: Linux 5.4.0-84-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.18
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: MATE
  Date: Fri Sep 10 21:37:00 2021
  InstallationDate: Installed on 2020-05-05 (493 days ago)
  InstallationMedia: Ubuntu-MATE 20.04 LTS "Focal Fossa" - Release amd64 
(20200423)
  LightdmConfig:
   [Seat:*]
   autologin-guest=false
   greeter-show-manual-login=false
   greeter-session=slick-greeter
  SourcePackage: lightdm
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1943285/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943312] Re: dependency problems of version 3.4.2-1ubuntu3

2021-09-12 Thread Steve Langasek
working on fixing this, but please note that libffi8 is only in impish-
proposed.  You should not be installing packages from impish-proposed.

** Changed in: libffi (Ubuntu)
   Importance: Undecided => Critical

** Changed in: libffi (Ubuntu)
 Assignee: (unassigned) => Steve Langasek (vorlon)

** Changed in: libffi (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libffi in Ubuntu.
https://bugs.launchpad.net/bugs/1943312

Title:
  dependency problems of version 3.4.2-1ubuntu3

Status in libffi package in Ubuntu:
  In Progress

Bug description:
  Have both libffi8ubuntu1:amd64 and libffi8ubuntu1:i386 installed
  previously. Got these after upgrading to 3.4.2-1ubuntu3

  dpkg: dependency problems prevent configuration of libffi8:amd64:
   libffi8:i386 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:amd64 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:amd64 (--configure):
   dependency problems - leaving unconfigured
  dpkg: dependency problems prevent configuration of libffi8:i386:
   libffi8:amd64 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:i386 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:i386 (--configure):
   dependency problems - leaving unconfigured

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libffi/+bug/1943312/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1936948] Re: Dependency loop via sockets.target

2021-09-12 Thread Launchpad Bug Tracker
This bug was fixed in the package dbus - 1.12.20-2ubuntu2

---
dbus (1.12.20-2ubuntu2) impish; urgency=medium

  * Rework d/p/ubuntu/dont-stop-dbus.patch to avoid a deadlock during boot
(LP: #1936948)

 -- Lukas Märdian   Thu, 09 Sep 2021 15:45:30 +0200

** Changed in: dbus (Ubuntu Impish)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus in Ubuntu.
https://bugs.launchpad.net/bugs/1936948

Title:
  Dependency loop via sockets.target

Status in dbus package in Ubuntu:
  Fix Released
Status in dbus source package in Impish:
  Fix Released

Bug description:
  basic.target waits for dbus.socket (via sockets.target) AND
  dbus.socket waits for basic.target, too, delaying dbus-daemon startup.
  At some point a timeout happens, dbus is started and all queued
  services try to start registering to the bus at the same time.

  All services registering at the same time, seems to be triggering bugs
  like this more often:
  https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/1871538/

  This happens since Hirsute (dbus 1.12.20-1ubuntu3), where the
  following delta was added:

  Index: dbus-1.12.20/bus/dbus.socket.in
  ===
  --- dbus-1.12.20.orig/bus/dbus.socket.in
  +++ dbus-1.12.20/bus/dbus.socket.in
  @@ -1,5 +1,9 @@
   [Unit]
   Description=D-Bus System Message Bus Socket
  +# Do not stop on shutdown
  +DefaultDependencies=no
  +Wants=sysinit.target
  +After=sysinit.target basic.target

   [Socket]
   ListenStream=@DBUS_SYSTEM_SOCKET@

  It leads to deadlock situations like this:
  09:23:59.276245 systemd[1]: basic.target: starting held back, waiting for: 
sockets.target
  09:23:59.276438 systemd[1]: dbus.socket: starting held back, waiting for: 
basic.target
  09:23:59.304393 systemd[1]: dbus.service: starting held back, waiting for: 
dbus.socket

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/1936948/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943312] Re: dependency problems of version 3.4.2-1ubuntu3

2021-09-12 Thread Andrew
I'm newby in this. Can you write actions by steps?

for d in libffi8*.deb; do
  dpkg-deb -x $d $d.dir;
  dpkg-deb -e $d $d.dir/DEBIAN;
  sed -i 's/Breaks: libffi8ubuntu1/Breaks: libffi8ubuntu1 (<= 
3.4~20200819gead65ca871-0ubuntu5)/' $d/DEBIAN/control;
  dpkg-deb -b $d.dir $d;
done

Is it script?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libffi in Ubuntu.
https://bugs.launchpad.net/bugs/1943312

Title:
  dependency problems of version 3.4.2-1ubuntu3

Status in libffi package in Ubuntu:
  Confirmed

Bug description:
  Have both libffi8ubuntu1:amd64 and libffi8ubuntu1:i386 installed
  previously. Got these after upgrading to 3.4.2-1ubuntu3

  dpkg: dependency problems prevent configuration of libffi8:amd64:
   libffi8:i386 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:amd64 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:amd64 (--configure):
   dependency problems - leaving unconfigured
  dpkg: dependency problems prevent configuration of libffi8:i386:
   libffi8:amd64 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:i386 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:i386 (--configure):
   dependency problems - leaving unconfigured

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libffi/+bug/1943312/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943362] [NEW] update to this pkg crashes fresh install of ubuntu preventing long-in screen from appearing or anything else

2021-09-12 Thread Nadya Sarankhova
Public bug reported:

update to this pkg crashed my system.
I ended up reinstalling ubuntu 21.10 from USB stick, which fixed it.
I immediately ran "sudo apt -y upgrade" and it updated all packages.
While updating "libffi8" i received a dpkg error message.
on reboot, it loads to a screen that "something went wrong, log out and try 
again" and it freezes at that screen.
i did not install anything beyond whatever the install medium puts on for a 
standard install.
I am using the laptop now.  after a second reinstall I deselected the libffi8 
package from the upgrade list, and its working just fine, leading me to the 
conclusion that it is the offending package.
because I can not get to a terminal window or gnome desktop, I cannot run 
apport on the system while crashed and frozen.  sorry.  but if there's anything 
i can provide to help with a fix, let me know, and I will gladly do so.
please note, the bug report was generated on a working system, not the crashed 
system.  I still have access to the crashed system if you have a suggestion how 
to get any information out of it.  recovery mode does not load to gnome either.

ProblemType: Bug
DistroRelease: Ubuntu 21.10
Package: libffi8ubuntu1:amd64 3.4~20200819gead65ca871-0ubuntu5
ProcVersionSignature: Ubuntu 5.13.0-14.14-generic 5.13.1
Uname: Linux 5.13.0-14-generic x86_64
ApportVersion: 2.20.11-0ubuntu68
Architecture: amd64
CasperMD5CheckResult: pass
CurrentDesktop: ubuntu:GNOME
Date: Sun Sep 12 06:00:36 2021
InstallationDate: Installed on 2021-07-23 (50 days ago)
InstallationMedia: Ubuntu 21.10 "Impish Indri" - Alpha amd64 (20210501)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: libffi
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: libffi (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug impish wayland-session

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libffi in Ubuntu.
https://bugs.launchpad.net/bugs/1943362

Title:
  update to this pkg crashes fresh install of ubuntu preventing long-in
  screen from appearing or anything else

Status in libffi package in Ubuntu:
  New

Bug description:
  update to this pkg crashed my system.
  I ended up reinstalling ubuntu 21.10 from USB stick, which fixed it.
  I immediately ran "sudo apt -y upgrade" and it updated all packages.
  While updating "libffi8" i received a dpkg error message.
  on reboot, it loads to a screen that "something went wrong, log out and try 
again" and it freezes at that screen.
  i did not install anything beyond whatever the install medium puts on for a 
standard install.
  I am using the laptop now.  after a second reinstall I deselected the libffi8 
package from the upgrade list, and its working just fine, leading me to the 
conclusion that it is the offending package.
  because I can not get to a terminal window or gnome desktop, I cannot run 
apport on the system while crashed and frozen.  sorry.  but if there's anything 
i can provide to help with a fix, let me know, and I will gladly do so.
  please note, the bug report was generated on a working system, not the 
crashed system.  I still have access to the crashed system if you have a 
suggestion how to get any information out of it.  recovery mode does not load 
to gnome either.

  ProblemType: Bug
  DistroRelease: Ubuntu 21.10
  Package: libffi8ubuntu1:amd64 3.4~20200819gead65ca871-0ubuntu5
  ProcVersionSignature: Ubuntu 5.13.0-14.14-generic 5.13.1
  Uname: Linux 5.13.0-14-generic x86_64
  ApportVersion: 2.20.11-0ubuntu68
  Architecture: amd64
  CasperMD5CheckResult: pass
  CurrentDesktop: ubuntu:GNOME
  Date: Sun Sep 12 06:00:36 2021
  InstallationDate: Installed on 2021-07-23 (50 days ago)
  InstallationMedia: Ubuntu 21.10 "Impish Indri" - Alpha amd64 (20210501)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: libffi
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libffi/+bug/1943362/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1251178] Re: qdbus and qdbusviewer crash with "No such file or directory"

2021-09-12 Thread Georges
It's 2021, and this issue still exists.
In my case with qdbus command, installing and re-installing qt5-default does 
not help.
The solution of @yatsek worked:


qdbus: could not find a Qt installation of ''

$ sudo apt-get install apt-file

$ sudo apt-file update

$ apt-file search /usr/lib/qt5/bin/qdbus
qdbus-qt5: /usr/lib/qt5/bin/qdbus 
qtbase5-dev-tools: /usr/lib/qt5/bin/qdbuscpp2xml
qtbase5-dev-tools: /usr/lib/qt5/bin/qdbusxml2cpp
qttools5-dev-tools: /usr/lib/qt5/bin/qdbusviewer

$ sudo apt-get install qdbus-qt5

Voila!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1251178

Title:
  qdbus and qdbusviewer crash with "No such file or directory"

Status in qt4-x11 package in Ubuntu:
  Confirmed
Status in qtchooser package in Ubuntu:
  Confirmed

Bug description:
  Release: Ubuntu 13.10 (32-bit)

  Package versions:
  qtdbus 4:4.8.4+dfsg-0ubuntu18
  qtchooser 26-3ubuntu2

  Expected behavior:

  The `qdbus` program runs, as does the related program `qdbusviewer`.

  Actual behavior:

  If I run the `qdbus` program, it always crashes:

  user@host:~$ qdbus --help
  qdbus: could not exec '/usr/lib/i386-linux-gnu/qt5/bin/qdbus': No such file 
or directory

  The `qdbus` executable is actually:

  user@host:~$ ls --full-time $(which qdbus)
  lrwxrwxrwx 1 root root 9 2013-08-07 14:48:40.0 + /usr/bin/qdbus 
-> qtchooser

  Note that `/usr/lib/i386-linux-gnu/qt4/bin/qdbus` exists and seems to
  work if I invoke it directly.

  There's a `qdbus-qt5` package in the universe repository. It was not
  pulled in as a dependency, but manually installing it fixes the issue.
  Therefore it's either a packaging error or a bug in qtchooser.

  A similar thing happens if I run `qdbusviewer`:

  user@host:~$ qdbusviewer
  qdbusviewer: could not exec '/usr/lib/i386-linux-gnu/qt5/bin/qdbusviewer': No 
such file or directory

  except that installing `qdbus-qt5` doesn't fix the issue.

  ProblemType: Bug
  DistroRelease: Ubuntu 13.10
  Package: qdbus 4:4.8.4+dfsg-0ubuntu18
  ProcVersionSignature: Ubuntu 3.11.0-13.20-generic 3.11.6
  Uname: Linux 3.11.0-13-generic i686
  ApportVersion: 2.12.5-0ubuntu2.1
  Architecture: i386
  Date: Thu Nov 14 09:34:24 2013
  MarkForUpload: True
  SourcePackage: qt4-x11
  UpgradeStatus: Upgraded to saucy on 2013-10-23 (22 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/1251178/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943312] Re: dependency problems of version 3.4.2-1ubuntu3

2021-09-12 Thread Xu Zhen
Andrew, you did it wrong.

apt download libffi8 libffi8:i386
for d in libffi8*.deb; do
  dpkg-deb -x $d $d.dir;
  dpkg-deb -e $d $d.dir/DEBIAN;
  sed -i 's/Breaks: libffi8ubuntu1/Breaks: libffi8ubuntu1 (<= 
3.4~20200819gead65ca871-0ubuntu5)/' $d/DEBIAN/control;
  dpkg-deb -b $d.dir $d;
done
sudo dpkg -i libffi8*.deb

And after the installation, do not update libffi8 again until a new version out.
sudo apt-mark hold libffi8 libffi8:i386

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libffi in Ubuntu.
https://bugs.launchpad.net/bugs/1943312

Title:
  dependency problems of version 3.4.2-1ubuntu3

Status in libffi package in Ubuntu:
  Confirmed

Bug description:
  Have both libffi8ubuntu1:amd64 and libffi8ubuntu1:i386 installed
  previously. Got these after upgrading to 3.4.2-1ubuntu3

  dpkg: dependency problems prevent configuration of libffi8:amd64:
   libffi8:i386 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:amd64 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:amd64 (--configure):
   dependency problems - leaving unconfigured
  dpkg: dependency problems prevent configuration of libffi8:i386:
   libffi8:amd64 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:i386 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:i386 (--configure):
   dependency problems - leaving unconfigured

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libffi/+bug/1943312/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943312] Re: dependency problems of version 3.4.2-1ubuntu3

2021-09-12 Thread Andrew
Replace Breaks: libffi8ubuntu1 with Breaks: libffi8ubuntu1 (<=
3.4~20200819gead65ca871-0ubuntu5) doesn't help. Bug still present.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libffi in Ubuntu.
https://bugs.launchpad.net/bugs/1943312

Title:
  dependency problems of version 3.4.2-1ubuntu3

Status in libffi package in Ubuntu:
  Confirmed

Bug description:
  Have both libffi8ubuntu1:amd64 and libffi8ubuntu1:i386 installed
  previously. Got these after upgrading to 3.4.2-1ubuntu3

  dpkg: dependency problems prevent configuration of libffi8:amd64:
   libffi8:i386 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:amd64 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:amd64 (--configure):
   dependency problems - leaving unconfigured
  dpkg: dependency problems prevent configuration of libffi8:i386:
   libffi8:amd64 (3.4.2-1ubuntu3) breaks libffi8ubuntu1 and is unpacked but not 
configured.
libffi8:i386 (3.4.2-1ubuntu3) provides libffi8ubuntu1.

  dpkg: error processing package libffi8:i386 (--configure):
   dependency problems - leaving unconfigured

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libffi/+bug/1943312/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943359] [NEW] Cherry-pick crypt_checksalt fix

2021-09-12 Thread Jeremy Bicha
Public bug reported:

Please cherry-pick this commit (included in Debian's pam 1.4.0-10 or
upstream 1.5.2)

https://github.com/linux-pam/linux-pam/commit/980d90c9232fe5

The pam upstream bug is
https://github.com/linux-pam/linux-pam/issues/367

I believe we need this fix before updating libxcrypt to 1:4.4.22-1

** Affects: pam (Ubuntu)
 Importance: High
 Status: New


** Tags: impish

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1943359

Title:
  Cherry-pick crypt_checksalt fix

Status in pam package in Ubuntu:
  New

Bug description:
  Please cherry-pick this commit (included in Debian's pam 1.4.0-10 or
  upstream 1.5.2)

  https://github.com/linux-pam/linux-pam/commit/980d90c9232fe5

  The pam upstream bug is
  https://github.com/linux-pam/linux-pam/issues/367

  I believe we need this fix before updating libxcrypt to 1:4.4.22-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pam/+bug/1943359/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1943356] [NEW] package initramfs-tools 0.139ubuntu3 failed to install/upgrade: podproces zainstalowany pakiet initramfs-tools skrypt post-installation zwrócił kod błędu 1

2021-09-12 Thread Radek
Public bug reported:

no idea

ProblemType: Package
DistroRelease: Ubuntu 21.04
Package: initramfs-tools 0.139ubuntu3
Uname: Linux 5.13.12-051312-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu65.1
Architecture: amd64
CasperMD5CheckResult: pass
Date: Sun Sep 12 09:03:35 2021
ErrorMessage: podproces zainstalowany pakiet initramfs-tools skrypt 
post-installation zwrócił kod błędu 1
InstallationDate: Installed on 2021-08-21 (21 days ago)
InstallationMedia: Ubuntu 21.04 "Hirsute Hippo" - Release amd64 (20210420)
PackageArchitecture: all
Python3Details: /usr/bin/python3.9, Python 3.9.5, python3-minimal, 3.9.4-1
PythonDetails: N/A
RelatedPackageVersions:
 dpkg 1.20.9ubuntu1
 apt  2.2.4ubuntu0.1
SourcePackage: initramfs-tools
Title: package initramfs-tools 0.139ubuntu3 failed to install/upgrade: 
podproces zainstalowany pakiet initramfs-tools skrypt post-installation zwrócił 
kod błędu 1
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: initramfs-tools (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package hirsute

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1943356

Title:
  package initramfs-tools 0.139ubuntu3 failed to install/upgrade:
  podproces zainstalowany pakiet initramfs-tools skrypt post-
  installation zwrócił kod błędu 1

Status in initramfs-tools package in Ubuntu:
  New

Bug description:
  no idea

  ProblemType: Package
  DistroRelease: Ubuntu 21.04
  Package: initramfs-tools 0.139ubuntu3
  Uname: Linux 5.13.12-051312-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu65.1
  Architecture: amd64
  CasperMD5CheckResult: pass
  Date: Sun Sep 12 09:03:35 2021
  ErrorMessage: podproces zainstalowany pakiet initramfs-tools skrypt 
post-installation zwrócił kod błędu 1
  InstallationDate: Installed on 2021-08-21 (21 days ago)
  InstallationMedia: Ubuntu 21.04 "Hirsute Hippo" - Release amd64 (20210420)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.9, Python 3.9.5, python3-minimal, 3.9.4-1
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.20.9ubuntu1
   apt  2.2.4ubuntu0.1
  SourcePackage: initramfs-tools
  Title: package initramfs-tools 0.139ubuntu3 failed to install/upgrade: 
podproces zainstalowany pakiet initramfs-tools skrypt post-installation zwrócił 
kod błędu 1
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1943356/+subscriptions


-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp